Webhooks

Get a watch

GET
/v1/watches/{id}

Authorization

headerAuthorizationBearer <token>

Authorization: Bearer lsk_live_…

Path Parameters

id*string

Response Body

The watch with its last result or error.

application/json
  1. response
id?string
trackingNumber?string
carrier?string|null
status?|null
active?boolean
metadata?|null
createdAt?string
checkedAt?string|null
nextCheckAt?string|null
endedAt?string|null
endReason?|
Value in"delivered""returned""not_found""expired""deleted"null
result?|null
error?|null
Example Request
curl -X GET 'https://api.lastscanned.com/v1/watches/string'
Example Response
{  "id": "string",  "trackingNumber": "string",  "carrier": "string",  "status": "label_created",  "active": true,  "metadata": {},  "createdAt": "string",  "checkedAt": "string",  "nextCheckAt": "string",  "endedAt": "string",  "endReason": "delivered",  "result": {    "carrier": "ups",    "trackingNumber": "string",    "status": "label_created",    "statusDescription": "string",    "service": "string",    "deliveredAt": "string",    "deliveredAtLocal": "string",    "signedBy": "string",    "destination": {      "city": "string",      "state": "string",      "country": "string"    },    "estimatedDelivery": "string",    "estimatedDeliveryAt": "string",    "message": "string",    "events": [      {        "timestamp": "string",        "localTime": "string",        "status": "label_created",        "description": "string",        "location": "string",        "code": "string"      }    ]  },  "error": {    "code": "bad_request",    "message": "string"  }}